// ===========================================================================
//	AcereApp.h					1994 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#define	OurCreator 		'Fl'
#define	GameFileType	'FGm'

#include <LDocApplication.h>

class	CardDeck;
class	CTextDoc;

class	AcereApp : public LDocApplication {
public:

	CTextDoc			*ourDoc;
	
	CIconHandle			suitPats[4][2];
	
						AcereApp();
	virtual 			~AcereApp();
	
	virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

	virtual void	OpenDocument(FSSpec *inMacFSSpec);
	virtual LModelObject*	MakeNewDocument();
	virtual void	ChooseDocument();
};

extern	AcereApp	*theApp;
extern	CardDeck	*theDeck;