// ===========================================================================
//	CTextDoc.h						1994 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LSingleDoc.h>
#include "CardDeck.h"

class	LTextEdit;

class 	WellDeck;
class	WellFreeCell;
class	WellStack;

class	CTextDoc : public LSingleDoc {
public:
	//	instance variables
	
	WellDeck			*theDeckWells[4];
	WellFreeCell		*theFreeCells[4];
	WellStack			*theStacks[8];
	
	short				currentDeckWell, currentFreeCell, currentStack;

	//	methods
						CTextDoc(LCommander *inSuper, FSSpec *inFileSpec);
	virtual				~CTextDoc();			//	destructor

						
	RgnHandle			cardRgn;
	CardStruct			firstCard, secondCard;
					
	virtual Boolean		IsModified();
	
	virtual void		DoAESave(FSSpec &inFileSpec, OSType inFileType);
	virtual void		DoSave();
	virtual void		DoRevert();
	virtual void		DoPrint();
					
	virtual void		CheckVictory(void);
	virtual void		StartNewGame(void);
protected:
	LTextEdit			*mTextView;
	
	void				NameNewDoc();
	void				OpenFile(FSSpec &inFileSpec);

};