// ===========================================================================
//	LPane.h							1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LAttachable.h>

#ifndef __EVENTS__
#include <Events.h>
#endif

#include <LPane.h>
class	LStream;

#include "CardDeck.h"

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif

#define				kNoCard		-1

class CardWell : public LPane
{

public:
	CardStruct		itsCard;
	
	
	static CardWell*	CreateCardWell(LStream *inStream);
	
					CardWell();
					CardWell(const CardWell &inOriginal);		
					CardWell(const SPaneInfo &inPaneInfo);
					CardWell(LStream *inStream);
					
	virtual void	InitPane(const SPaneInfo	&inPaneInfo);
	
	virtual			~CardWell();

		//  Drawing
	
	virtual void	Draw(RgnHandle inSuperDrawRgnH);
	
	virtual Boolean	CanRemove(void);

	virtual	Boolean	CanDrop(CardStruct *draggedCard);
	virtual	Boolean	CanDropOnEmptySlot(CardStruct *draggedCard);
	virtual	Boolean	CanDropOnSlot(CardStruct *draggedCard);
	
	virtual	void	AddCardToWell(CardWell *whichWell, CardStruct *whichCard);
	virtual void	RemoveCardFromWell(CardWell *whichWell, CardStruct *whichCard);
	
	virtual	void	Click(SMouseDownEvent &inMouseDown);
};
