// ===========================================================================
//	LPane.h							1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LAttachable.h>

#ifndef __EVENTS__
#include <Events.h>
#endif

#include <CardWell.h>

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif


class WellDeck : public CardWell
{

public:

	static WellDeck*	CreateWellDeck(LStream *inStream);
	
					WellDeck();
					WellDeck(const WellDeck &inOriginal);		
					WellDeck(const SPaneInfo &inPaneInfo);
					WellDeck(LStream *inStream);
					
	virtual void	InitPane(const SPaneInfo	&inPaneInfo);
	
	virtual			~WellDeck();

		//  Drawing
	
	virtual void	Draw(RgnHandle inSuperDrawRgnH);
	
	
	virtual	Boolean	CanRemove(void);

	virtual	Boolean	CanDropOnEmptySlot(CardStruct *draggedCard);
	virtual	Boolean	CanDropOnSlot(CardStruct *draggedCard);
	
	virtual void	AddCardToWell(CardWell *whichWell, CardStruct *whichCard);
	
};
