#pragma once

#define	NumCards	52
#define	NumSuits	4
#define	NumCardsPerSuit	13

#define 	blackCard		true
#define	redCard		false

class CardWell;

typedef struct CardStruct
{
	short	suit;
	short	card;
	Boolean	color;
	CardWell	*itsOwner;
} CardStruct;


class		CardDeck
{
public:
	Byte				theCards[NumCards];
	Byte				theCardPositions[NumCards];
	
private:
	short			nextCardPosition;
	
public:
					CardDeck();
	virtual 			~CardDeck();
	
	virtual	void		GenerateNewDeck();
	virtual	void		ZapOldDeck();
	
	virtual	void		DrawCard(CardStruct *whichCard, Rect theRect);
	virtual	void		DrawShortCardBoundary(Rect theRect);
	virtual	short	GetNextCardPosition(void);
	virtual	short	GetPositionValue(short whichPosition);

	virtual	void		GetCardInfo(short whichCard, CardStruct *cardInfo);
} ;
