// ===========================================================================
//	LPane.h							1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LAttachable.h>

#ifndef __EVENTS__
#include <Events.h>
#endif

#include <CardWell.h>

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif


class WellFreeCell : public CardWell
{

public:
	
	static WellFreeCell*	CreateWellFreeCell(LStream *inStream);
	
					WellFreeCell();
					WellFreeCell(const WellFreeCell &inOriginal);		
					WellFreeCell(const SPaneInfo &inPaneInfo);
					WellFreeCell(LStream *inStream);
					
	virtual void	InitPane(const SPaneInfo	&inPaneInfo);
	
	virtual			~WellFreeCell();

		//  Drawing
	
	virtual void	Draw(RgnHandle inSuperDrawRgnH);
	
	
//	virtual	Boolean	CanDropOnEmptySlot(CardStruct *draggedCard);
//	virtual	Boolean	CanDropOnSlot(CardStruct *draggedCard, CardStruct *dropPileCard);
	
};
