// ===========================================================================
//	LPane.h							1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LAttachable.h>

#ifndef __EVENTS__
#include <Events.h>
#endif

#include <CardWell.h>

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif


class LDynamicArray;

class WellStack : public CardWell
{

public:

	//	instance variables

	LDynamicArray		*itsCards;
		
	short	cardsInStack, currentCard;
	
	
	//	methods
	
	static WellStack*	CreateWellStack(LStream *inStream);
	
					WellStack();
					WellStack(const WellStack &inOriginal);		
					WellStack(const SPaneInfo &inPaneInfo);
					WellStack(LStream *inStream);
					
	virtual void	InitPane(const SPaneInfo	&inPaneInfo);
	
	virtual			~WellStack();

		//  Drawing
	
	virtual void	Draw(RgnHandle inSuperDrawRgnH);
	
//	virtual void	PopulateStack(void);
	virtual	void	InitCards(void);

	
	
//	virtual	Boolean	CanDropOnEmptySlot(CardStruct *draggedCard);
	virtual	Boolean	CanDropOnSlot(CardStruct *draggedCard);
	
	virtual	void	AddCardToWell(CardWell *whichWell, CardStruct *whichCard);
	virtual void	RemoveCardFromWell(CardWell *whichWell, CardStruct *whichCard);
	
	virtual	void	AdjustFrame(void);
};
